module Codebreaker
  class SecretCodeGenerator
    LENGTH = 4
    RANGE = (1..6).freeze
    VALID_REGEXP = /^[#{RANGE.min}-#{RANGE.max}]{#{LENGTH}}$/.freeze

    def self.string_valid?(secret_code)
      VALID_REGEXP.match?(secret_code)
    end

    def call
      Array.new(LENGTH) { rand(RANGE) }
    end
  end
end
